import './app.less';
import bootHtml from './app.html';
import { AppRoot } from './elements/app-root/app-root';
import { CodeEditor } from './elements/code-editor/code-editor';
import { OutputFrame } from './elements/output-frame/output-frame';
import { NotificationBubbles } from './elements/notification-bubbles/notification-bubbles';
import { NotificationBubble } from './elements/notification-bubbles/notification-bubble';

window.customElements.define('app-root', AppRoot);
window.customElements.define('code-editor', CodeEditor);
window.customElements.define('output-frame', OutputFrame);
window.customElements.define('notification-bubbles', NotificationBubbles);
window.customElements.define('notification-bubble', NotificationBubble);


var appEle = document.createElement("div");
appEle.innerHTML = bootHtml;

document.body.appendChild(appEle);